Bug 1412077 - Include comments in the finally generated hc.conf template to make it more readable
Summary: Include comments in the finally generated hc.conf template to make it more r...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Parth Dhanjal
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 07:42 UTC by RamaKasturi
Modified: 2018-09-13 12:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-16 09:40:42 UTC
oVirt Team: Gluster
sabose: ovirt-4.2?
sasundar: planning_ack?
sasundar: devel_ack?
sasundar: testing_ack?


Attachments (Terms of Use)

Description RamaKasturi 2017-01-11 07:42:27 UTC
Description of problem:
As of now in the finally generated hc.conf template there are no comments about what each section is for. It might be confusing for the users about what section is for what. It would be nice to have the comments for each section to make it more readable and understandable.

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.10.7-0.0.2.el7ev.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install the latest cockpit-ovirt-dashboard
2. Provide all the required inputs
3. Review the hc.conf template

Actual results:
I see that there are no comments for the sections and it is a little confusing on what section is for what.

Expected results:
Include comments in the sections so that it is more readable .

Additional info:

Comment 1 Sahina Bose 2018-04-03 13:24:45 UTC
Can you add comments to the template file so that they are present in the generated conf file?

Comment 2 Sahina Bose 2018-08-16 09:40:42 UTC
The generated gdeploy file handles almost all the scenarios now, there's no real need to edit the file - hence closing this


Note You need to log in before you can comment on or make changes to this bug.